ivtools 1.2.6-1+nmu3 source package in Ubuntu

Changelog

ivtools (1.2.6-1+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Reverting 1.2.6-1+nmu2 -j1 addition to keep package clean.
    - Fix ARCH evaluation.
    - Use generic $(MAKE) instead of make.
    - Make sure imake is always called with -U$(ARCH) (Closes: #549407).
  * 01_configure.diff: Handle disabling of early binary stripping.
  * 015_Makefile_dontstrip.diff: Disable patch.
  * 49_string.c_constchar.diff: New patch to deal with gcc 4.4 'invalid
    conversion from 'const char*' to 'char*'' errors (Closes: #560203).
  * 48_gcc40_int_pointer_errors.diff: Modified to use (unsigned intptr_t)
    instead of (uintptr_t) to avoid out-of-context errors.

ivtools (1.2.6-1+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Try working around race condition causing #549407
    by calling main build target with explicit -j1.
  * Fix lintian error 'weak-library-dev-dependency' by tightening
    some ivtools-dev dependencies to the range between the exact
    version and version just before next non-binary NMU.

ivtools (1.2.6-1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * 48_gcc40_int_pointer_errors.diff: New patch to fix some gcc40 errors.
    + A pointer does not fit in an integer on 64 bit arches. A pointer
      is 64 bit, an integer 32 bit. Use (u)intptr_t instead of
      (unsigned) int (Closes: #545834).
  * debian/rules: Remove empty -p parameter to dh_installdocs.

ivtools (1.2.6-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <email address hidden>.
  * New upstream release. (Closes: #469407, #303956)
    + Drop changes no longer needed.
    + Add build-dep on quilt.
    + Add quilt patches for pertinent changes.
    + Fix FTBFS. (Closes: #441490).
      + Many of the fixes taken from Michael Ablassmeier, thanks!
    + Probably patched more than necessary.
    + 46_comdraw_crash.diff. (Closes: #446774).
      + Thanks to Leon Bottou for the patch.
    + Patch WHATIS entry in upstream man pages. (Closes: #210626).
    + 015_Makefile_dontstrip.diff - Don't strip. (Closes: #437237).
  * Replace ${Source-Version} with ${binaryVersion} in depends.
  * Replace x-dev build-dep with x11proto-core-dev. (Closes: #515446).
  * Replace xutils build-dep with x11-utils.
  * Add build-dep on xutils-dev for imake. (Closes: #536901).
  * Debian/rules clean-up.
  * Move from .files files to .install files.
    + Call dh_install instead of dh_movefiles.
  * Make clean not ignore errors.
  * Replace pwd with $(CURDIR) in rules.
  * Add watch file.
  * Move Homepage from package description to source stanza.
  * Update debian/template to use /etc/X11 instead of /usr/lib/X11/config.
  * Add set -e to maintainer scripts.
  * Version debhelper build-dep and set to 5.
    + Bump compat to 5.
  * Bump Standards Version to 3.8.3.
    + Menu policy transition.
 -- Charlie_Smotherman (porthose) <email address hidden>   Mon,  04 Jan 2010 19:35:02 +0000

Upload details

Uploaded by:
Charlie_Smotherman on 2010-01-04
Uploaded to:
Lucid
Original maintainer:
Debian QA Group
Architectures:
any
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
ivtools_1.2.6.orig.tar.gz 2.1 MiB 04e7b8d344033f481972eb6d14b66c1c55719a365bcdc8d74d8f5acc2340e65c
ivtools_1.2.6-1+nmu3.diff.gz 15.4 KiB d8ce312363518151f4aee2763df8e26b970fa3831414dee30735ee4f2038e7ba
ivtools_1.2.6-1+nmu3.dsc 1.2 KiB 7181031aa975219fc608203a3c9b29c66c7f04a42438ac253b27d121fd1fdf1b

Available diffs

View changes file

Binary packages built by this source

ivtools-bin: No summary available for ivtools-bin in ubuntu oneiric.

No description available for ivtools-bin in ubuntu oneiric.

ivtools-dev: No summary available for ivtools-dev in ubuntu natty.

No description available for ivtools-dev in ubuntu natty.

libiv-unidraw1: No summary available for libiv-unidraw1 in ubuntu lucid.

No description available for libiv-unidraw1 in ubuntu lucid.

libiv1: No summary available for libiv1 in ubuntu lucid.

No description available for libiv1 in ubuntu lucid.